# Method: enterprises.devices.list

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.request_body)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.response_body)
  - [JSON representation](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.ListDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#try-it)

Lists devices for a given enterprise. Deleted devices are not returned in the response.

### HTTP request

`GET https://androidmanagement.googleapis.com/v1/{parent=enterprises/*}/devices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the enterprise in the form `enterprises/{enterpriseId}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The requested page size. If unspecified, at most 10 devices will be returned. The maximum value is 100; values above 100 will be coerced to 100. The limits can change over time. |
| `pageToken` | `string` A token identifying a page of results returned by the server. |

### Request body

The request body must be empty.

### Response body

Response to a request to list devices for a given enterprise.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "devices": [ { object (`https://developers.google.com/android/management/reference/rest/v1/enterprises.devices#Device`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `devices[]` | ``object (`https://developers.google.com/android/management/reference/rest/v1/enterprises.devices#Device`)`` The list of devices. |
| `nextPageToken` | `string` If there are more results, a token to retrieve next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).